### Method

# GtkSource CompletionContext get_proposals_for_provider

since: 5.6

#### Declaration [src]

    GListModel*
    gtk_source_completion_context_get_proposals_for_provider (
      GtkSourceCompletionContext* self,
      GtkSourceCompletionProvider* provider
    )

#### Description [src]

Gets the `GListModel` associated with the provider.

You can connect to `GtkSourceCompletionContext::model-changed` to receive notifications about when the model has been replaced by a new model.

Available since: 5.6

#### Parameters

`provider`

  Type: `GtkSourceCompletionProvider`

  A `GtkSourceCompletionProvider`.

  The data is owned by the caller of the method.

#### Return value

Type: A list model of `GObject`

A `GListModel` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.